Bug 471835 - kernel: V4L/DVB (9621): Avoid writing outside shadow.bytes[] array
Summary: kernel: V4L/DVB (9621): Avoid writing outside shadow.bytes[] array
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 471840 471841 471842 471843 471844 471845 471846 471847
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-17 04:10 UTC by Eugene Teo (Security Response)
Modified: 2011-09-30 21:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-30 21:13:24 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0053 0 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2009-02-04 15:05:12 UTC

Description Eugene Teo (Security Response) 2008-11-17 04:10:29 UTC
From: Mauro Carvalho Chehab <mchehab>
There were no check about the limits of shadow.bytes array. This offers a risk of writing values outside the limits, overriding other data areas.

Comment 4 Kurt Seifried 2011-09-30 21:13:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise MRG v1 for Red Hat Enterprise Linux (version 5)

Via RHSA-2009:0053 available at
https://rhn.redhat.com/errata/RHSA-2009-0053.html


Note You need to log in before you can comment on or make changes to this bug.